Subject: Re: [PATCH 1/2] imap-send: fix bug causing cfg->folder being set to NULL

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 May 2025 12:02:53 -0700

Eric Sunshine <[email-masked]> writes:

> Okay, makes sense. It might be worth mentioning in the commit message
> that these copy/paste bugs were introduced by 6d1f198f34 (imap-send:
> fix leaking memory in `imap_server_conf`, 2024-06-07).

Definitely a good thing to note in the message, together with the
subtlety that the bug is dependenty on the order in which these
configuration variables appear in the file.

In any case, this may indicate that the population of those who
tried to use imap-send since mid last year, whether they used to use
it happily before last year or they tried to use it anew, must be
very small, or we would have heard about this obvious gotcha by now.